.container_login_ia {
    background-color:var(--primary-bg);
    width: 350px;
    max-width: 90%; /* Para caber em telas pequenas */
    
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    padding: 20px;

    /* Centralização perfeita */
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

@media (max-width: 600px) {
    body{
        margin: 0;
        padding: 0;
        height: 100vh; /* altura total da viewport */
        overflow: hidden; /* evita scroll desnecessário */
    }
    .container_login_ia {
        width: 100%;
        height: 100vh; /* ocupa a tela inteira */
        

        display: flex;
        flex-direction: column;
        justify-content: center; /* centraliza vertical */
        border-radius: 0; /* opcional: remove bordas em mobile */
    }
}



.container_login_ia .submit-btn {
      border: none;
      border-radius: var(--border-radius);
      color: white;
      font-weight: 500;
      cursor: pointer;
      transition: var(--transition);
      width: 100%;
      background-color: #052881;
    }

.container_login_ia  input {
      width: 90%;
      padding: 12px 16px;
      border: 1px solid rgba(255, 255, 255, 0.1);
      border-radius: var(--border-radius);
      background: var(--secondary-bg);
      color: var(--text-primary);
      font-size: 1rem;
      transition: var(--transition);
    }

.container_login_ia .sr-only {
   color: white; 
   font-size: 18px;

}
   